Subject: bug#58383: 29.0.50; Make it easier to invert vc-prepare-patches-separately

From: Philip Kaludercic <[email-masked]>
Date: Tue, 08 Nov 2022 20:31:14 +0000

Sean Whitton <[email-masked]> writes:

>>> On the other hand, having a numeric prefix argument mean "send patches
>>> correspoding to the top N revisions of the current branch" would be very
>>> convenient.  Perhaps these two could be combined by using a negative
>>> number to mean also invert?
>>
>> This is the usual problem with numeric prefix arguments.  You don't get
>> that much expressivity with just an integer.
>>
>> That is why I would hesitate to assign any particular interpretation to
>> prefix arguments, before considering and weighing the options.
>
> Well, any other options in mind?  Varying the -N argument to
> git-format-patch/git-send-email is what I find myself using the most.

The issue is finding a way for this to be expressed VC-generically.